Contents

# Funkcija informacije

This category contains the Logičke functions.

To access this command...

Ubaci - Funkcija - KategorijaInformacije

Vrijednost i slijedećim tabelama služe kao baza za neke primjere opisa funkcija

| C | D
2 | x value | y value
3 | -5 | -3
4 | -2 | 0
5 | -1 | 1
6 | 0 | 3
7 | 2 | 4
8 | 4 | 6
9 | 6 | 8

## FORMULA

Prikazuje formulu ćelije formule kao tekst string.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

FORMULA(reference)

Referenca je referentni poziv ćeliji koja sadrži formulu

Nevalidna referenca ili referentni poziv ćeliji sa error vrijednost #N/A.

#### Example

Ako ćelija A8 sadrži formulu =SUM(1; 2; 3) tada

=FORMULA(A8) vraća tekst =SUM(1; 2; 3).

## INFO

Vraća specifične informacije o trenutnoj radnoj okolini. Funkcija prima jedinstveni text argument i vraca vrijednost u zavisnoti od tog parametra.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

INFO("Type")

Slijedeća tabela izlistava sve vrijednosti text parametra Type i vraća vrijednosti INFO funkcije.

Vrijednost za "Type" | Vrati vrijednost
--- | ---
"osversion" | Always "Windows (32-bit) NT 5.01", for compatibility reasons
"system" | The type of the operating system: "ANDROID" for Google mobile operating system "DRAGONFLY" for DragonFly operating system forked from FreeBSD "EMSCRIPTEN" for browser WebAssembly system "FREEBSD", "OPENBSD" or "NETBSD" for operating systems based on the Berkeley Software Distribution (BSD) "HAIKU" for BeOS compatible operating system "iOS" for Apple mobile operating system "LINUX" for GNU/Linux based operating systems "MACOSX" for Apple macOS "SOLARIS" for Oracle Solaris operating system "WNT" for Microsoft Windows
"release" | Identifikacija produkta "300m25(Build:9876)"
"numfile" | Uvijek 1, radi razloga kompatibilnosti
"recalc" | Trenutni mod formule, "Automatski" ili "Manuelni" (lokalizovan na LibreOffice jezik)

Ostale spreadsheet aplikacije mogu primiti lokalizovane vrijednosti za Type parameter, but LibreOffice Calc will only accept the US English values.

#### Example

=INFO("release") vraca broj izdanja produkta LibreOffice u upotrebi.

=INFO(D5) with cell D5 sadrži string tekst system vraća tip operativnog sistema.

## ISBLANK

Vraća TRUE ukoliko je referentni poziv prazan. Funkcija se koristi da se utvrdi da li je ćelija prazna. ćelija sa formulom unutra nije prazna.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISBLANK(Value)

Vrijednost je sadrzaj koji se testira.

#### Example

=ISBLANK(D2) returns FALSE as a result.

## ISERR

Returns TRUE if the value refers to any error value except #N/A, FALSE otherwise. You can use this function to control error values in certain cells.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISERR(Value)

Vrijednostje bilo koja vrijednost ili izraz koji je testiran da se vidi greska gdje je #N/A is present.

#### Example

=ISERR(C8)gdje ćelija C8 sadrži =1/0 vraća TRUE, jer 1/0 is je grečka.

=ISERR(C9) gdje ćelija C9 sadrži =NA() vraća FALSE, because ISERR() ignores the #N/A error.

## ISERROR

Tests if the cells contain general error values, and returns TRUE or FALSE. ISERROR recognises the #N/A error value.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISERROR(Value)

Vrijednost je ili se odnosi na vrijednost koja ce se testirati. ISERROR() returns TRUE ukoliko postoji greska FALSE if not.

#### Example

=ISERROR(C8)gdje ćelija C8 sadrži =1/0 returns TRUE, because 1/0 is an error.

=ISERROR(C9) gdje ćelija C9 sadrži =NA() returns TRUE.

## ISERROR

Returns the value if the cell does not contain an error value, or the alternative value if it does.

This function is available since LibreOffice 4.0.

#### Syntax

IFERROR(Value; Alternate_value)

Value is the value or expression to be returned if it is not equal or results in an error.

Alternate_value is the value or expression to be returned if the expression or value of Value is equal or results in an error.

#### Example

=ISERROR(C8)gdje ćelija C8 sadrži =1/0 returns TRUE, because 1/0 is an error.

=ISERROR(C8)gdje ćelija C8 sadrži =1/0 returns TRUE, because 1/0 is an error.

## ISEVEN

Returns TRUE if the value is an even integer, or FALSE if the value is odd.

#### Syntax

ISEVEN(Value)

Vrijednost je sadrzaj koji se testira.

If Value is not an integer any digits after the decimal point are ignored. The sign of Value is also ignored.

#### Example

=ISREF(4) returns FALSE.

=ISREF(4) returns FALSE.

=ISEVEN_ADD(5) vraća 0.

=SIGN(-4.5) vraca -1.

=ISREF(4) returns FALSE.

## ISEVEN_ADD

Testira za parne brojeve. Vraća TRUE (1) ukoliko je broj djeljiv sa 2.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

ISEVEN_ADD(Number)

Vrijednost je sadrzaj koji se testira.

#### Example

=ISEVEN_ADD(5) vraća 0.

=ISEVEN_ADD(A1) vraća 1 ukoliko ćelija A1 sadrži broj 2.

## ISFORMULA

Vraća TRUE ukoliko je ćelija formule.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

FORMULA(reference)

Referenca indicira referentni poziv u kojem će test biti sproveden da bi se utvrdilo da li sadrži formulu

#### Example

=ISFORMULA(C4) returns FALSE if the cell C4 contains the number 5.

## ISLOGICAL

Returns TRUE if the cell contains a logical number format. The function is used in order to check for both TRUE and FALSE values in certain cells.

Ukoliko se grečka pojavi vrati FALSE.

#### Syntax

ISLOGICAL(Value)

Returns Vrijednost if Value is a logical value (Vrijednost or FALSE) and returns FALSE otherwise.

#### Example

=ISLOGICAL(99) vraća FALSE jer 99 je broj, ne logička vrijednost.

=ISLOGICAL(ISNA(D4)) vraća TRUE kad god je sadržaj ćelije D4, jer ISNA() vraća logičku vrijednost.

## ISNA

Vraća TRUE ukoliko ćelija sadrži #N/A (vrijednost nije dostupna) gresku.

Ukoliko se grečka pojavi vrati FALSE.

#### Syntax

ISNA(Value)

Vrijednost je vrijednost ili izraz koji se testira

#### Example

=ISNA(D3) returns FALSE.

## ISNA

Returns the value if the cell does not contain the #N/A (value not available) error value, or the alternative value if it does.

This function is available since LibreOffice 4.0.

#### Syntax

IFNA(Value; Alternate_value)

Value is the value or expression to be returned if it is not equal or results in an #N/A error.

Alternate_value is the value or expression to be returned if the expression or value of Value is equal or results in an #N/A error.

#### Example

=IFNA(D3;D4) returns the value of D3 if D3 does not result in an #N/A error, or D4 if it does.

## ISNONTEXT

Testira ćeliju za tekstove ili brojeve i vraća FALSE ukoliko sadrži tekst.

Ukoliko se greška pojavi, funkcija vraća TRUE.

#### Syntax

ISNONTEXT(Value)

VrijednostJe bilo koja vrijednost ili izraz gdje je testirano da se utvrdi da li je broj tekst, broj ili boolean vrijednost.

#### Example

=ISNONTEXT(D2) returns FALSE if cell D2 contains the text abcdef.

=ISNONTEXT(D9) returns TRUE if cell D9 contains the number 8.

## ISNUMBER

Vrati TRUE ukoliko je vrijednost broj.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISNUMBER(Value)

Vrijednost je izraz koji se testira da se utvrdi da li je broj ili tekst.

#### Example

=ISNUMBER(C3) returns TRUE if the cell C3 contains the number 4.

=ISNUMBER(C2) returns FALSE if the cell C2 contains the text abcdef.

## ISODD

Returns TRUE if the value is odd, or FALSE if the number is even.

#### Syntax

ISODD(value)

Vrijednost je sadrzaj koji se testira.

If Value is not an integer any digits after the decimal point are ignored. The sign of Value is also ignored.

#### Example

=ODD(1) vraca 1.

=ISREF(4) returns FALSE.

=ODD(1.2) vraca 3.

=ODD(-3.1)vraca -5.

## ISODD_ADD

Vraća TRUE (1) ukoliko broj ne vraća cijeli broj kada je podijeljen sa 2.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

ISODD_ADD(Number)

Vrijednost je sadrzaj koji se testira.

#### Example

=ISEVEN_ADD(5) vraća 0.

## ISREF

Testiraj da li je referenca. Returns TRUE ukoliko jeste, vraćaj FALSE nesto drugo. When given a reference this function does not examine the value being referenced.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISREF(Value)

Vrijednost is the value to be tested to determine whether it is a reference.

#### Example

=ISREF(C5) returns the result TRUE because C5 is a valid reference.

=ISREF("abcdef") returns always FALSE because a text can never be a reference.

=ISREF(4) returns FALSE.

=ISREF(INDIRECT("A6")) returns TRUE, because INDIRECT is a function that returns a reference.

=ISREF(ADDRESS(1; 1; 2; "Sheet2")) returns FALSE, because ADDRESS is a function that returns a text, although it looks like a reference.

## ISTEXT

Vraća TRUE ukoliko je sadržaj tekst.

Ukoliko se grečka pojavi vrati FALSE.

#### Syntax

ISTEXT(Value)

Vrijednostje vrijednost, broj, boolean vrijednost ili vrijednost grečke koja se testira.

#### Example

=ISTEXT(D9) returns TRUE if cell D9 contains the text abcdef.

=ISTEXT(C3) returns FALSE if cell C3 contains the number 3.

## N

Returns the numeric value of the given parameter. Returns 0 if parameter is text or FALSE.

If an error occurs the function returns the error value.

#### Syntax

N(Value)

Value is the parameter to be converted into a number. N() returns the numeric value if it can. It returns the logical values TRUE and FALSE as 1 and 0 respectively. It returns text as 0.

#### Example

=N(123) vraća 123

=N(TRUE) vraća 1

=N(FALSE) vraća 0

=N("abc") vraća 0

=N(1/0) returns #DIV/0!

## NA

Vraća grešku vrijednost #N/A.

#### Syntax

NA()

#### Example

=NA() konvertuje sadrzaj celije u #N/A.

## TYPE

Returns the type of value, where 1 = number, 2 = text, 4 = Boolean value, 8 = formula, 16 = error value, 64 = array.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

TIP(vrijednosti)

Value is a specific value for which the data type is determined.

### PRIMJER(vidi primjer tabele iznad)

=TYPE(C2) vra.

=TYPE(D9) vraca 1 kao rezultat.

## Trenutno

This function returns the result to date of evaluating the formula of which it is a part (in other words the result as far as that evaluation has got). Its main use is together with the STYLE() function to apply selected styles to a cell depending on the cell contents.

#### Syntax

Trenutno()

#### Example

=1+2+Trenutno()

Primjer vraća 6. Formula računa s lijeva na desno kao: 1 + 2 jednako 3, dajući rezultat datumu kada je Trenutno() prisutno; Trenutno() u tom slučaju ima vrijednost 3, koje je dodato orginalu 3 da bi se dobilo 6.

=A2+B2+STYLE(IF(CURRENT()>10;"Red";"Default"))

Primjer vraća A2 + B2 (STYLE returns 0 here). If this sum is greater than 10, the style Red is applied to the cell. See the STYLE function for more explanation.

="choo"&Trenutno()

Primjer vraća choochoo.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.CURRENT

## celija

Vraca informaciju na adresu, formatiranje ili sadrzaj celije.

#### Syntax

CELL("InfoType" [; Reference])

Info_type je rijec koja predstavlja tip informacije. Izraz je uvijek na engleskom, velika ili mala slova su opcionalna.

Info tip | Znacenje
--- | ---
COL | Vraca broj referencirane kolone. =CELL("COL"; D2) vraca 4.
ROW | Vraca broj referenciranog reda =CELL("ROW"; D2) vraca 2.
SHEET | Vraca broj referenciranog papira. =CELL("Sheet"; Sheet3.D2) vraca 3.
ADDRESS | Vraca apsolutnu adresu u referenciranu celiju. =CELL("ADDRESS"; D2) vraca $D$2. =CELL("ADDRESS"; Sheet3.D2) vraca $Sheet3.$D$2. =CELL("ADDRESS";'X:\dr\test.ods'#$Sheet1.D2) returns 'file:///X:/dr/test.ods'#$Sheet1.$D$2.
FILENAME | Vraca ime datoteke i broj tabele u referenciranu celiju. =CELL("FILENAME";D2) returns 'file:///X:/dr/own.ods'#$Sheet1, if the formula in the current document X:\dr\own.ods is located in Sheet1. =CELL("FILENAME";'X:\dr\test.ods'#$Sheet1.D2) returns 'file:///X:/dr/test.ods'#$Sheet1.
COORD | Returns the complete cell address in Lotus™ notation. =CELL("COORD"; D2) vraca $A:$D$2. =CELL("COORD"; Sheet3.D2) vraca $C:$D$2.
CONTENTS | Vraca sadrzaj referencirane celije, bez formatiranja
TYPE | Vraca tip sadrzaja celije. b = blank. prazna celija l = label. Tekst, rezultat formule u tekstu v = value. Vrijednost, rezultat formule kao broj
WIDTH | Vraca velicinu referencirane kolone. Jedinica je broj nula (0) koji stane u kolonu u defoltnom tekstu sa defoltnom velicinom.
PREFIX | Vraca poravnavanje referencirane celije. ' = poravnaj lijevo " = poravnaj desno ^ = centrirano \ = ponavljanje (trenutno ne radi)
PROTECT | Vraca status celije da li je zasticena. 1 = celije ja zasticena 0 = celija nije zasticena
FORMAT | Vraca izraz slovo. , = broj sa hiljadu separatorom F = broj bez hiljadu separatora C = format valute S = eksponencijalna representacija naprimjer, 1.234+E56 P = procenat U navedenim formatima, broj decimalnih mjesta poslije separatora je dat kao broj. Primjer: broj formata #,##0.0 vraca ,1 i broj formata 00.000% vraca P3 D1 = MMM-D-YY, MM-D-YY i slicni formati D2 = DD-MM D3 = MM-YY D4 = DD-MM-YYYY HH:MM:SS D5 = MM-DD D6 = HH:MM:SS AM/PM D7 = HH:MM AM/PM D8 = HH:MM:SS D9 = HH:MM G = Svi ostali formati - (Minus) na kraju = negativni brojevi su u bojama () (zagrade) na kraju = postoji otvorena zagrada u formatu koda
COLOR | Vraca 1, ako je negativa vrijednost formatirana u boji, inace 0.
PARENTHESES | Vraca 1 ako je u formatu koda otvorena zagrada (, inace 0.

Referenca (lista opcija) je pozicija celija koja se proucava. Ako Referenca je doseg, celija se pomjera na kraj lijevo od dosega. Ako Referenca fali, LibreOffice Calc koristi poziciju celije u kojoj je formula locirana. Microsoft Excel koristi referencu celije u kojoj je kursor poziciran.

Related Topics

Functions by Category